Editar webhook de engajamento
curl --request PUT \
--url https://api-vendas.taximachine.com.br/integracao/v1/engajamento/index/{id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--header 'api-key: <api-key>' \
--data '
{
"url": "https://agustina.info"
}
'import requests
url = "https://api-vendas.taximachine.com.br/integracao/v1/engajamento/index/{id}"
payload = { "url": "https://agustina.info" }
headers = {
"Authorization": "Basic <encoded-value>",
"api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Authorization: 'Basic <encoded-value>',
'api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({url: 'https://agustina.info'})
};
fetch('https://api-vendas.taximachine.com.br/integracao/v1/engajamento/index/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Webhook de engajamento atualizado com sucesso."
}Engajamento
Editar webhook de engajamento
Edita um webhook de engajamento a partir do ID. Você pode editar a URL ou os headers. Os headers são limitados a 10 chaves. Não é possível usar a mesma URL de outro webhook já existente. O envio de eventos é alterado em até 5 minutos após a edição.
PUT
/
integracao
/
v1
/
engajamento
/
index
/
{id}
Editar webhook de engajamento
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Obrigatório. Sua chave API.
Path Parameters
ID do webhook.
Body
application/json
Response
200 - application/json
Sucesso
The response is of type object.
⌘I
